<?php

namespace Teknisa\MAN\Services;

use Doctrine\ORM\EntityManager;
use Teknisa\MAN\Utilities;

class ConfigPortaisServices {

	public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }
    
    // pager digital
    public function findPager($params){
        $return = array();
        
        $query = $this->entityManager->getConnection()->fetchAssoc(Utilities\Query::FIND_PAGER, $params);
        return $query;
    }
    
    // save GERPARAMGERAL
    public function saveGerparamgeral($params){
        $this->entityManager->getConnection()->executeQuery(Utilities\Query::PAGER_GERPARAMGERAL, $params);
    }
    
    // save PARAVEND
    public function saveParavend($params){
        $this->entityManager->getConnection()->executeQuery(Utilities\Query::PAGER_PARAVEND, $params);
    }
    
}